Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.stepsettings
Class StepParameterModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.udo.cs.miningmart.gui.stepsettings.StepParameterModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

public class StepParameterModel
extends javax.swing.table.AbstractTableModel

A Model for the `StepParameterTable`.

Version:
  $Id: StepParameterModel.java,v 1.3 2006/04/11 14:10:13 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`StepParameterModel(Step step, boolean editable)` Constructs a new `StepParameterModel`.

Method Summary
`int` | `getColumnCount()` Only two columns.
`java.lang.String` | `getColumnName(int columnIndex)`
`int` | `getNrOfLoops()` Gets the number of loops.
`int` | `getOldNrOfLoops()` Gets the old number of loops.
`OpParam` | `getOpParam(int row)` Gets the `OpParam` in this row.
`OpParam` | `getOpParamByName(java.lang.String opParamName)` Gets the `OpParam` by the specified name.
`java.lang.String` | `getParameterName(int rowIndex)` Gets the name of the parameter with the specified index.
`int` | `getRowCount()` Gets the row count.
`int` | `getRowOfOpParamByName(java.lang.String opParamName)` Gets the row of the specified `OpParam`-name.
`short` | `getType(int row)` Gets the Type of the Parameter in the specified row.
`java.lang.Object` | `getValueAt(int rowIndex, int colIndex)` Gets the Value.
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`boolean` | `isInput(int row)` Is the parameter in this row an input-parameter
`void` | `setLoopNumber(int loopnumber)` Sets the loopnumber.
`void` | `setNrOfLoops(int nrOfLoops)` Sets the number of loops.
`void` | `setOldNrOfLoops(int oldNrOfLoops)` Sets the old number of loops.
`void` | `setValueAt(java.lang.Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StepParameterModel

    public StepParameterModel(Step step,
                              boolean editable)

  Constructs a new `StepParameterModel`.

Method Detail

### setLoopNumber

    public void setLoopNumber(int loopnumber)

  Sets the loopnumber.

### setNrOfLoops

    public void setNrOfLoops(int nrOfLoops)

  Sets the number of loops.

### getNrOfLoops

    public int getNrOfLoops()

  Gets the number of loops.

### getOldNrOfLoops

    public int getOldNrOfLoops()

  Gets the old number of loops.

### setOldNrOfLoops

    public void setOldNrOfLoops(int oldNrOfLoops)

  Sets the old number of loops.

### getColumnCount

    public int getColumnCount()

  Only two columns. One for the parameter-name and one for the value(s).

  See Also:
    `TableModel.getColumnCount()`

### getRowCount

    public int getRowCount()

  Gets the row count.

  Returns:
    size of the OpParams-Collection.
  See Also:
    `TableModel.getRowCount()`

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int colIndex)

  Gets the Value. Its a ParameterArray.

  See Also:
    `TableModel.getValueAt(int, int)`

### getParameterName

    public java.lang.String getParameterName(int rowIndex)

  Gets the name of the parameter with the specified index.

### getColumnName

    public java.lang.String getColumnName(int columnIndex)

  See Also:
    `TableModel.getColumnName(int)`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  See Also:
    `TableModel.isCellEditable(int, int)`

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int rowIndex,
                           int columnIndex)

  See Also:
    `TableModel.setValueAt(Object, int, int)`

### getType

    public short getType(int row)

  Gets the Type of the Parameter in the specified row.

  Returns:
    -1 if errors occured.
  See Also:
    `Parameter.TYPE_VALUE`, `Parameter.TYPE_CONCEPT`, `Parameter.TYPE_RELATION`, `Parameter.TYPE_BASEATTRIBUTE`, `Parameter.TYPE_MULTICOLUMNFEATURE`, `Parameter.TYPE_FEATURE`

### isInput

    public boolean isInput(int row)

  Is the parameter in this row an input-parameter

### getOpParam

    public OpParam getOpParam(int row)

  Gets the `OpParam` in this row.

### getOpParamByName

    public OpParam getOpParamByName(java.lang.String opParamName)

  Gets the `OpParam` by the specified name.

### getRowOfOpParamByName

    public int getRowOfOpParamByName(java.lang.String opParamName)

  Gets the row of the specified `OpParam`-name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005